@echo off
set filename=paris_dakar_special_esp
set file_type=nes
set patch_file=paris_dakar_special_esp.xdelta3

pushd %~dp0
if "%~1"=="" goto :NOISO

echo Parcheando %file_type%...
patch_data\xdelta.exe -d -f -s "%~1" patch_data\%patch_file% %filename%.nes

if errorlevel 1 goto :MULTITRACKDRIFTING
goto :FIN

:MULTITRACKDRIFTING
echo.
echo Intentando parchear de otro modo...
patch_data\xdelta.exe -d -f -s "%~1" patch_data\%multitrack_patch_file% %filename%.nes

if errorlevel 1 goto :XDELTAERR
goto :FIN

:NOISO
echo Para parchear %file_type% no ejecutes este archivo.
echo Simplemente arrastra el archivo original .bin al icono de este programa para comenzar.
:EXIT

:XDELTAERR
echo.
echo Hubo un error en el proceso!
echo Puede que no hayas usado la imagen correcta, utiliza una diferente.
goto :EXIT

:FIN
echo.
echo Proceso con exito!
echo Se ha creado un nuevo archivo llamado %filename%.nes y .cue en la carpeta.
goto :EXIT

:EXIT
popd
echo Pulsa cualquier tecla para cerrar la ventana.
pause >nul
exit